/*
 *      Program do konwersji logow Gadu do ekg.
 *      Przydatne funkcje.
 *
 *      copyright (c) 2004 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __STUFF_HH__
#define __STUFF_HH__

#include <string>
#include <sstream>

/**
 * @brief Rzutowanie czegokolwiek na string.
 */
template<class C>
std::string text_cast(C c)
{
	std::stringstream stream;
	std::string str;
	stream << c;
	stream >> str;
	return str;
}


#define HELP	"Program suy do konwertowania logw Gadu do ekg.\n"\
		"copyright (c) 2004 ukasz Bartnik\n\n"\
		"Aby dokona konwersji wykonaj nastpujce kroki:\n"\
		" 1. Wyeksportuj kontakty Gadu do pliku tekstowego (np. kontakty.txt)\n"\
		" 2. Wykonaj: gg-convert -t kontakty.txt > tymczasowe.txt\n"\
		"      Kady KONTAKT zostanie zamieniony na __gg-convert__KONTAKT . Take nazw\n"\
		"      profilu naley zamie na __gg-convert__PROFIL\n\n"\
		" 3. Podmie kontakty w Gadu na tymczasowe.txt (import)\n"\
		" 4. Zapisz wszystkie rozmowy w jednym lub wicej plikach (np. rozmowy.txt)\n"\
		" 5. Dla kadego pliku wykonaj: gg-convert -l rozmowy.txt -n TwjNick -c kontakty.txt\n\n"\
		"      Logi Gadu bd najpewniej w kodowaniu Windows-1250. eby dosta od razu\n"\
		"      logi gadu w kodowaniu L2 polecenie mona zamieni na:\n\n"\
		"        iconv -f windows-1250 -t l2 rozmowy.txt | gg-convert -c kontakty.txt -n TwjNick\n\n"\
		"      TwjNick to nazwa profilu - sam cig PROFIL bez poprzedzajcego __gg-convert__.\n"\
		"      Program wypisuje skonwertowane logi na standardowe wyjcie, mona wic od razu\n"\
		"      przekierowa je do pliku.\n\n"\
		" Znane problemy:\n"\
		"   * wiadomoci wysyane do wielu uytkownikw najprawdopodobniej trafi do kontaktu z uin 0.\n"\
		"   * nicki z listy kontaktw nie powinny mie znakw jak \"(\" i \")\"\n\n"


#endif /* __STUFF_HH__ */
